--
-- $Id$
--
-- Aanpassen functies in omgeing DSM. 

DEFINE thisfile = 'AADS#54514.SQL'
DEFINE dbuser   = '^AADS'
DEFINE custid   = 'AADS'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Aantal functies komen te vervallen en worden overschreven met de functie 'onbekend'.

UPDATE prs_perslid pp
SET pp.prs_srtperslid_key = 1
WHERE
  pp.prs_srtperslid_key in (15065,15066,15067,15068,25923);

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile